MultiPartInputStream (Axis API)
Keywords: org.apache.axis.attachments.MultiPartInputStream,MultiPartInputStream class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class MultiPartInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--org.apache.axis.attachments.MultiPartInputStream

Direct Known Subclasses:
  MultiPartDimeInputStream, MultiPartRelatedInputStream

public abstract class MultiPartInputStream
extends java.io.FilterInputStream

This simulates the multipart stream

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Method Summary
`abstract Part` | `getAttachmentByReference(java.lang.String[] id)`
`abstract java.util.Collection` | `getAttachments()`
`abstract java.lang.String` | `getContentId()` Return the content id of the stream
`abstract java.lang.String` | `getContentLocation()` Return the content location.

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttachmentByReference

    public abstract Part getAttachmentByReference(java.lang.String[] id)
                                           throws AxisFault

    `AxisFault`

### getAttachments

    public abstract java.util.Collection getAttachments()
                                                 throws AxisFault

    `AxisFault`

### getContentLocation

    public abstract java.lang.String getContentLocation()

  Return the content location.

  Returns:
    the Content-Location of the stream. Null if no content-location specified.

### getContentId

    public abstract java.lang.String getContentId()

  Return the content id of the stream

  Returns:
    the Content-Location of the stream. Null if no content-location specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.